changeset 5868:b8326f7b870f

<shachaf> ` sed -i \'s/\\*/?*/\' bin/mk
author HackBot
date Wed, 22 Jul 2015 21:59:36 +0000
parents 9c603f748542
children b46c0df1dd1e
files bin/mk
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/bin/mk	Wed Jul 22 21:53:01 2015 +0000
+++ b/bin/mk	Wed Jul 22 21:59:36 2015 +0000
@@ -1,1 +1,1 @@
-[[ "$1" == *//* ]] || exit 1; key="${1%%//*}"; value="${1#*//}"; echo "$value" > "$key" && echo "$key"
+[[ "$1" == ?*//* ]] || exit 1; key="${1%%//*}"; value="${1#*//}"; echo "$value" > "$key" && echo "$key"